Bug 478773 - Review Request: cdk - Curses Development Kit
Summary: Review Request: cdk - Curses Development Kit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 478846
TreeView+ depends on / blocked
 
Reported: 2009-01-04 22:11 UTC by Marek Mahut
Modified: 2014-02-11 19:12 UTC (History)
4 users (show)

Fixed In Version: cdk-5.0.20140118-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-08 14:07:37 UTC
Type: ---
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Mahut 2009-01-04 22:11:37 UTC
Spec URL: http://mmahut.fedorapeople.org/reviews/cdk/cdk.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/cdk/cdk-5.0.20081105-1.fc8.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1031867
Description: Cdk stands for 'Curses Development Kit' and it currently contains 21 ready
to use widgets which facilitate the speedy development of full screen
curses programs. This little project of mine started as a test to see how
compatible my Linux machine was to other UNIX breeds. While doing this I 
discovered Ncurses, and played with it. These widgets are the result of
over a years worth of playing.

Comment 1 Lubomir Rintel 2009-01-04 23:33:58 UTC
1.) Description is stupid. You see :)

2.) Too much documentation in main package

%doc CHANGES COPYING EXPANDING INSTALL NOTES README TODO VERSION examples demos

I think you can move at lease examples and demos (maybe todo, expanding, ...) to -devel subpackage.

3.) Why do you chmod a symlink?

chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so

4.) You don't know/decide if the manual gets compressed

%{_mandir}/man3/*.gz

Please remove the .gz from the end

Comment 2 Marek Mahut 2009-01-05 14:20:34 UTC
1) Fixed. :)

2) Done.

3) Becuase of this rpmlint warning:

cdk.i386: W: unstripped-binary-or-object /usr/lib/libcdk.so.5.0

4) Done.

Spec URL: http://mmahut.fedorapeople.org/reviews/cdk/cdk.spec
SRPM URL:
http://mmahut.fedorapeople.org/reviews/cdk/cdk-5.0.20081105-1.fc8.src.rpm

Comment 3 Lubomir Rintel 2009-01-05 14:46:05 UTC
Everything seems fine now; thanks!

APPROVED

Comment 4 Marek Mahut 2009-01-05 15:13:42 UTC
Thank you for the review Lubomir.

New Package CVS Request
=======================
Package Name: cdk
Short Description: Curses Development Kit
Owners: mmahut
Branches: F-9 F-10 EL-5

Comment 5 Kevin Fenzi 2009-01-07 00:09:26 UTC
cvs done.

Comment 6 Christopher Meng 2014-01-21 00:50:13 UTC
Package Change Request
======================
Package Name: cdk
New Branches: el6 epel7
Owners: cicku

comaintainer here.

Comment 7 Gwyn Ciesla 2014-01-21 13:52:08 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-01-24 04:58:54 UTC
cdk-5.0.20140118-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cdk-5.0.20140118-1.el6

Comment 9 Fedora Update System 2014-02-11 19:12:30 UTC
cdk-5.0.20140118-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.